#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long k = m;
    long long current = k;

    cin >> l >> m >> n;

    do
    {
        k = m + n;

        s += k;

        br ++;
    }
    while (s <= l);

    if (m > l) {
        br = 0;
    }

    cout << br;

    return 0;
}

